package com.raycos.raycoswebapi.nacoscase.service;

import com.raycos.raycoscommon.Internal.Result;
import com.raycos.raycoscommon.Internal.webapi.User;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @Author: xiaojiabin
 * @Date: 2024/8/26 13:25
 */

@FeignClient(name = "service-provider")
public interface EchoService {

    @GetMapping(value = "/echo/{str}")
    Result<String> echo(@PathVariable("str") String str);

    @PostMapping(value = "/sayHello")
    Result<String> sayHello (@SpringQueryMap User user );
}
