package com.raycos.raycosdatacenterapi.authorize;

import com.alibaba.fastjson2.JSONObject;
import com.raycos.raycoscommon.Internal.Result;
import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzToken;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@Slf4j
@RequestMapping("/erp/token")
public class AmzTokenController {

    @Autowired
    private AmzTokenService amzTokenService;

    @GetMapping
    public Result<List<TbAmzToken>> selToken (){
        Result<List<TbAmzToken>> tr = new Result<>();
        try{
            List<TbAmzToken> list = amzTokenService.selAmzToken(null);
            tr.success(list);
        }catch (Exception e){

            tr.fail();
        }
        return  tr;
    }

    @PostMapping
    public  Result<String > addToken (@RequestBody TbAmzToken tbAmzToken ){
        Result<String> rt = new Result<>();
        try{
            log.info( "  新增 token   来了老弟  " + JSONObject.toJSONString(tbAmzToken));
            amzTokenService.addAmzToken( tbAmzToken );
            rt.success();
        }catch (Exception e){
            log.error(" 新增token 异常 ",e);
            rt.fail();
        }
        return  rt;

    }

}
